#include <stdio.h>
#include <stdbool.h>

void print(int x)
{
  if(x < 0)
  {
    putchar('-');
    x *= -1;
  }
  
  bool zeroSoFar = true;  
  for(int i = 10000; i >= 1; i /= 10)
  {
    int a = x/i;
    if(a > 0 || !zeroSoFar || i == 1)
    {
      putchar('0'+a);
      zeroSoFar = false;
    }
    x -= a*i;
  }
  
  putchar('\n');
}

enum Lieferbarkeit
{
  amLager, bestellbar, ausverkauft
};

typedef enum Lieferbarkeit Lieferbarkeit;

struct Bestellung
{
  int bestellnummer;
  char bezeichnung[16];
  Lieferbarkeit lieferbar;
};

typedef struct Bestellung Bestellung;

void printString(char text[])
{
  for(int i = 0; text[i] != 0; i++)
  {
    putchar(text[i]);
  }
  putchar('\n');  
}

void printBestellung(Bestellung best)
{
  print(best.bestellnummer);
  printString(best.bezeichnung);
  //print(best.lieferbar);
  switch(best.lieferbar)
  {
  case amLager:
    printString("ist am Lager");
    break;
  case bestellbar:
    printString("ist bestellbar");
    break;
  case ausverkauft:
    printString("ist ausverkauft");
    break;
  }
}

int main( void )
{
  print(103);
  print(12);
  print(123);
  print(1234);
  print(12345);
  print(-1);
  print(-12);
  print(-123);
  print(-1234);
  print(-12345);
  print(0);
  
  Bestellung b = {42, "Kartoffeln", bestellbar};
  printBestellung(b);
  
  return 0;
}
